Bug 206051 - [KDE][focus strictly under mouse] Right-mouse menus do not work in OOo
[KDE][focus strictly under mouse] Right-mouse menus do not work in OOo
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-11 14:22 EDT by David W. Legg
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.2-5.19.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-29 04:30:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 63086 None None None Never

  None (edit)
Description David W. Legg 2006-09-11 14:22:42 EDT
Description of problem:
Right-mouse menus do not work in Calc and Writer (maybe others).
Also, I notice that the Bullets and Numbering toolbar flashes when you
mouse-over it. Could this be the same problem?

Version-Release number of selected component (if applicable):
openoffice.org-writer-2.0.2-5.17.2
openoffice.org-calc-2.0.2-5.17.2


How reproducible:
All the time

Steps to Reproduce:
1. Stat Calc or Writer
2. Right mouse on something
3.
  
Actual results:
I think that a right-mouse menu brifly appears, but it is too fast to be sure,
and it disappears straightaway (or maybe never really appears in the first place.)

Expected results:
A right-mouse menu should appear giving formatting and other obviosu options.
The menu should stay open until another mouse-click happens.

Additional info:
Have fully updated FC5 on x86_64.  This has always been a problem on FC5, but
was ok previously with OOo V1.x.  Also, I notice that the Microshaft platform
version of OOo V2.x works ok.
Comment 1 Caolan McNamara 2006-09-12 10:50:33 EDT
KDE or GNOME ? 
Which theme if KDE ?

(might be a GTK under KDE themeing issue)
Comment 2 David W. Legg 2006-09-12 12:10:44 EDT
Right-mouse menus seem to work ok under gnome for Calc and Writer. I verified
this on an i386 FC5 PC.

On KDE (FC5, i386) the same problem occurs in Calc and Writer.
The KDE Control Center showed no particular theme when I opened it.
I selected and applied the KDE Classic theme.
This made the right-mouse menu in Calc work once (just once!)
The right-mouse menu in Writer did not work at all (except for flashing it up
incredibly briefly, maybe?)

So, Kde, under the default and KDE Classic themes, I guess, is the answer to
your question.
Comment 3 Caolan McNamara 2006-09-15 07:35:37 EDT
I wonder why the hell this "just works" under KDE_Classic for me. Though of
course I'm testing on i386 not x86_64 for FC-5.

Even change away from the defaults for control-panel->desktop->window behaviour
? Though trying some of the focus follow mouse etc settings doesn't cause my
writer right click menu to replicate your behaviour
Comment 4 David W. Legg 2006-09-15 07:41:06 EDT
I get the same behaviour on x86_64 and i386, using fully updated FC5 on both,
using KDE Classic theme.  Repeated it on the i386 using the Keramic theme too.
I could try some other themes if you like, but it doesn't look theme-specific to me.
Comment 5 Caolan McNamara 2006-09-23 08:13:40 EDT
caolanm->than: Do you see this on any reproducable FC-5/FC-6 setup. I don't see
this problem under FC-5 KDE with e.g. Keramic theme.
Comment 6 David W. Legg 2006-09-23 17:15:49 EDT
I guess the fact that I get the problem on an i386 machine and an x86_64 machine
all the time means that it is pretty reproducable.  The snag is that you cannot
reproduce it.  I will try some experiments and ask around to see if I can get a
better handle on this.
Comment 7 David W. Legg 2006-09-26 15:18:39 EDT
OK, I have characterised the problem much better now.  The right-mouse menus
fail to appear (or appear in a flickering kind of way) in KDE when the window
focus is set to 'Strictly Under Mouse'.  Changing it to 'Click to Focus' or to
'Focus Under Mouse' (notice not 'strictly under mouse') makes the menus work again.

This work-around also stops the toolbars from flickering.

Is it a KDE problem or an OOo problem?
Comment 8 Caolan McNamara 2006-09-27 04:12:08 EDT
excellent, reproducable now
Comment 9 Caolan McNamara 2006-09-27 05:17:26 EDT
Fix known, already in 2.0.4 for FC-6, backport to FC-5 now committed to cvs,
rebuild scheduled. 
Comment 10 Fedora Update System 2006-09-28 14:04:27 EDT
openoffice.org-2.0.2-5.19.2 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.